<?php

namespace App\Classes\General\Eloquent\Filters;


use App\Classes\ValueObjects\Constants\TransactionType;
use Illuminate\Database\Eloquent\Builder;

class HasPurchaseOrderStatusIn implements Filter
{

    /**
     * @param Builder $builder
     * @param $value
     * @return mixed
     */
    public static function apply(Builder $builder, $value)
    {
        return $builder->whereHas('transactions', function($query) use($value) {
            return $query->where('transactions.type', TransactionType::PURCHASE_ORDER)->whereIn('transactions.status', $value);
        });
    }
}
